# Components

The [`Page`][vizro.models.Page] model accepts the `components` argument, where you can enter any of the components
listed below to fill your dashboard with visuals.


<div class="grid cards" markdown>

- :octicons-graph-16:{ .lg .middle } __Graphs__

    ---

    Use graphs to visualize your data with any Plotly chart.

    [:octicons-arrow-right-24: View user guide](graph.md)

- :material-table-large:{ .lg .middle } __Tables__

    ---

    Use tables to visualize your tabular data.

    [:octicons-arrow-right-24: View user guide](table.md)

- :material-graph:{ .lg .middle } __Figures__

    ---

    Use figures to make any [Dash component](https://dash.plotly.com/#open-source-component-libraries) reactive.

    [:octicons-arrow-right-24: View user guide](figure.md)

- :material-cards-outline:{ .lg .middle } __Cards & buttons__

    ---

    Use cards and buttons to visualize text, navigate to different URLs or attach any [action](actions.md).

    [:octicons-arrow-right-24: View user guide](card-button.md)


- :octicons-table-16:{ .lg .middle } __Containers__

    ---

    Use containers to group your page components into sections and subsections.

    [:octicons-arrow-right-24: View user guide](container.md)

- :material-tab-plus:{ .lg .middle } __Tabs__

    ---

    Use tabs to group your containers and navigate between them.

    [:octicons-arrow-right-24: View user guide](tabs.md)

</div>
